Summary:        Music Player with the aims to be intuitive, easy to use and fast
Name:           guayadeque
Version:        0.4.5
Release:        %mkrel 1
Group:          Sound/Players
License:        GPLv2+
URL:            http://www.guayadeque.org/
Source0:        https://github.com/anonbeat/guayadeque/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:		guayadeque-0.4.5-desktop-shortcuts.patch
BuildRequires:  cmake
BuildRequires:  wxgtku-devel >= 2.8.10
BuildRequires:  sqlite3-devel
BuildRequires:  libxml2-devel
BuildRequires:  taglib-devel
BuildRequires:  curl-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  libflac-devel
BuildRequires:  dbus-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  imagemagick
BuildRequires:  libgpod-devel
BuildRequires:  desktop-file-utils
BuildRequires:	pkgconfig(wxsqlite3)
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-libav


%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.
Some of Guayadeque Features

- Play mp3, ogg, flac, wma, wav, mpc, mp4, ape, ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios


%prep
%setup -q
%apply_patches

%build
#remove build script conflicting with build/ folder used by cmake
rm -f ./build
%cmake
%make

%install
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc README changelog LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Mon Feb 13 2017 cjw <cjw> 0.4.5-1.mga6
+ Revision: 1085947
- 0.4.5
- fix url
- add dependency on gstreamer1.0-libav because it's needed for wma playback advertised in description

* Fri Feb 05 2016 umeabot <umeabot> 0.3.5-7.mga6
+ Revision: 938667
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-6.mga5
+ Revision: 741900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-5.mga5
+ Revision: 680040
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-4.mga4
+ Revision: 505386
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.5-3.mga3
+ Revision: 352944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 barjac <barjac> 0.3.5-2.mga3
+ Revision: 333510
- change group to new policy

* Wed Mar 07 2012 anssi <anssi> 0.3.5-1.mga2
+ Revision: 221343
- new version 0.3.5
- drop now unneeded fix-string-literal.patch, fixed upstream

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.3.1-1.mga2
+ Revision: 138901
- add BuildRequires on desktop-file-utils
- remove unused Require
- imported package guayadeque

  + anssi <anssi>
    - fix -Wformat-security patch

